Index: ladspa_sdk/src/makefile
===================================================================
--- ladspa_sdk.orig/src/makefile
+++ ladspa_sdk/src/makefile
@@ -13,10 +13,12 @@ INSTALL_BINARY_DIR	=	/usr/bin/
 # GENERAL
 #
 
+CFLAGS		=	-Wall -Werror -O3
+CXXFLAGS	=	-Wall -Werror -O3
+
 INCLUDES	=	-I.
-LIBRARIES	=	-ldl -lm
-CFLAGS		=	$(INCLUDES) -Wall -Werror -O3 -fPIC
-CXXFLAGS	=	$(CFLAGS)
+DYNAMIC_LD_LIBS =	-ldl
+LIBRARIES	=	$(DYNAMIC_LD_LIBS) -lm
 PLUGINS		=	../plugins/amp.so				\
 			../plugins/delay.so				\
 			../plugins/filter.so				\
@@ -26,7 +28,8 @@ PROGRAMS	=	../bin/analyseplugin				\
 			../bin/applyplugin 				\
 			../bin/listplugins
 CC		=	cc
-CPP		=	c++
+CXX		=	c++
+MKDIR_P		=	mkdirhier
 
 ###############################################################################
 #
@@ -34,12 +37,12 @@ CPP		=	c++
 #
 
 ../plugins/%.so:	plugins/%.c ladspa.h
-	$(CC) $(CFLAGS) -o plugins/$*.o -c plugins/$*.c
-	$(LD) -o ../plugins/$*.so plugins/$*.o -shared
+	$(CC) $(CFLAGS) $(INCLUDES) -fPIC -o plugins/$*.o -c plugins/$*.c
+	$(LD) $(RAW_LDFLAGS) -o ../plugins/$*.so plugins/$*.o -shared
 
 ../plugins/%.so:	plugins/%.cpp ladspa.h
-	$(CPP) $(CXXFLAGS) -o plugins/$*.o -c plugins/$*.cpp
-	$(CPP) -o ../plugins/$*.so plugins/$*.o -shared
+	$(CXX) $(CXXFLAGS) $(INCLUDES) -fPIC -o plugins/$*.o -c plugins/$*.cpp
+	$(CXX) $(LDFLAGS) -o ../plugins/$*.so plugins/$*.o -shared
 
 ###############################################################################
 #
@@ -59,12 +62,12 @@ test:	/tmp/test.wav ../snd/noise.wav alw
 	@echo Test complete.
 
 install:	targets
-	-mkdirhier $(INSTALL_PLUGINS_DIR)
-	-mkdirhier $(INSTALL_INCLUDE_DIR)
-	-mkdirhier $(INSTALL_BINARY_DIR)
-	cp ../plugins/* $(INSTALL_PLUGINS_DIR)
-	cp ladspa.h $(INSTALL_INCLUDE_DIR)
-	cp ../bin/* $(INSTALL_BINARY_DIR)
+	-$(MKDIR_P) $(DESTDIR)$(INSTALL_PLUGINS_DIR)
+	-$(MKDIR_P) $(DESTDIR)$(INSTALL_INCLUDE_DIR)
+	-$(MKDIR_P) $(DESTDIR)$(INSTALL_BINARY_DIR)
+	cp ../plugins/* $(DESTDIR)$(INSTALL_PLUGINS_DIR)
+	cp ladspa.h $(DESTDIR)$(INSTALL_INCLUDE_DIR)
+	cp ../bin/* $(DESTDIR)$(INSTALL_BINARY_DIR)
 
 /tmp/test.wav:	targets ../snd/noise.wav
 	../bin/listplugins
@@ -90,19 +93,19 @@ targets:	$(PLUGINS) $(PROGRAMS)
 #
 
 ../bin/applyplugin:	applyplugin.o load.o default.o
-	$(CC) $(CFLAGS) $(LIBRARIES)					\
+	$(CC) $(CFLAGS) $(INCLUDES) $(LDFLAGS)				\
 		-o ../bin/applyplugin					\
-		applyplugin.o load.o default.o
+		applyplugin.o load.o default.o $(LIBRARIES)
 
 ../bin/analyseplugin:	analyseplugin.o load.o default.o
-	$(CC) $(CFLAGS) $(LIBRARIES)					\
+	$(CC) $(CFLAGS) $(INCLUDES) $(LDFLAGS)				\
 		-o ../bin/analyseplugin 				\
-		analyseplugin.o load.o default.o
+		analyseplugin.o load.o default.o $(LIBRARIES)
 
 ../bin/listplugins:	listplugins.o search.o
-	$(CC) $(CFLAGS) $(LIBRARIES)					\
+	$(CC) $(CFLAGS) $(INCLUDES) $(LDFLAGS)				\
 		-o ../bin/listplugins	 				\
-		listplugins.o search.o
+		listplugins.o search.o $(LIBRARIES)
 
 ###############################################################################
 #
